unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,myproc2, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ListBox1: TListBox;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
ListProc2:=TstringList.Create;
Memo1.Clear;
Memo1.lines.add('1.szExeFile');
Memo1.lines.add('2.th32ProcessID');
Memo1.lines.add('3.ProcEntry.th32ParentProcessID');
Memo1.lines.add('4.dwSize');
Memo1.lines.add('5.cntUsage');
Memo1.lines.add('6.th32ModuleID');
Memo1.lines.add('7.th32DefaultHeapID');
Memo1.lines.add('8.cntThreads');
Memo1.lines.add('9.pcPriClassBase');
Memo1.lines.add('10.dwFlags');
end;

procedure TForm1.Button1Click(Sender: TObject);
var i1:integer;St1:String;
begin
FillProcessList;
Listbox1.Clear;
for i1:=0 to ListProc2.Count-1 do Listbox1.Items.Add(ListProc2.Strings[i1]);

end;

end.
